# Just some helpers for test functions

import shutil, os

def myrepr(x):
    if isinstance(x, basestring):
        return '"' + x + '"'
    else:
        return repr(x)

def eq_(a, b):
    if not a == b:
        raise AssertionError("%s != %s" % (myrepr(a), myrepr(b)))

def in_(a, b):
    if a not in b:
        raise AssertionError("%s not in %s" % (myrepr(a), myrepr(b)))

def ne_(a, b):
    if not a != b:
        raise AssertionError("unexpected %s == %s" % (myrepr(a), myrepr(b)))

def recursive_unlink(path):
    try:
        shutil.rmtree(path)
    except OSError:
        pass
    try:
        os.unlink(path)
    except OSError:
        pass

